Hi,
           I am facing a problem when running "ant fetch-depends". I do have a workaround but here is the error I see:
 
 
      [get] ....................................................
      [get] ....................................................
      [get] ....................................................
      [get] ....................................................
      [get] ...........
-remove-file-if-bad:
BUILD FAILED
E:\Work\Harmony\EclipseWorkspace\ASF-classlib\build.xml:284: The following error
 occurred while executing this line:
E:\Work\Harmony\EclipseWorkspace\ASF-classlib\make\depends.xml:145: The followin
g error occurred while executing this line:
E:\Work\Harmony\EclipseWorkspace\ASF-classlib\make\depends-common.xml:62: ...
File depends/jars/xerces_2.9.1/xerces.zip has incorrect md5 checksum.
    Expected: a0e07ede1c3bd5231fe15eae24032b2e (or )
    Found:    4cdbc6358cb289bb2feea38090406d1c
 
Here are the things I have tried:
 
  1. Deleted depends directory and tried again. Failed
  2. Separately downloaded the file xerces.zip file (I was facing problems in deleting the incorrect xerces.zip due to a Windows warning. Image attached. It might be unrelated to the problem in this email) and a few others and ran "ant fetch-depends" again. This time it worked.
I was wondering if anyone knows why this happens and how to avoid it. Any help would be much appreciated.
 
Regards
AK